<?php
/**
 * Project module
 * 
 * Default module index file
 * 
 * @package linea21\modules\project
 * @author $Author$ - linea21 <info@linea21.com>
 * @version $Id$ 
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages ////////////
if (!class_exists('auth')) {
  include_once("../lib/lib_common.php");
  ReloadIndex('admin');
}
////////////


//////////// Check Droits utilisateur ////////////
if (!$l21auth->hasRight('project')) ReloadIndex('admin');
////////////

include_once($dir."/".SQL.".inc.php");
include_once('../class/class.project.php');
include_once('../class/class.project_task.php');
include_once(override('../project/common.php'));

$todopage=$dir."/";
switch ($todo)
{
  case 'add':
    $todopage.="add.php";
    break;
  case 'mod':
    $todopage.="mod.php";
    break;
  case 'sup':
    $todopage.="sup.php";
    break;
  case 'list':
  	$todopage.="list.php";
    break;
  case 'det':
    $todopage.="det.php";
    break;
  case 'report':
    $todopage.="report.php";
    break;
  default:
    $todopage.="add.php";
}
include_once(override($todopage, THEME_ADMIN_PATH));
?>